/* * * 
 * To give your project a unique name, this code must be
 * placed into a .c file (its own tab).  It can not be in
 * a .cpp file or your main sketch (the .ino file).
 */

#include "usb_names.h"

// Edit these lines to create your own name.  The length must
// match the number of characters in your custom name.
// These names are use by the client software to recognise the
// Pedal devices, so do not change.
#define MIDI_NAME   {'B','l','u','e','C','l','o', 'c', 'k'}
#define MIDI_NAME_LEN  9

#define MANUFACTURER_NAME   {'B','l','u','e','H','o','u','s','e'}
#define MANUFACTURER_NAME_LEN  9
#define SERIAL_NUM {'C','l','o','c','k','H','o','u','s','e','.','0','0','0','0','0','0','0','1'}
#define SERIAL_NUM_LEN 19


// Do not change this part. This exact format is required by USB.
struct usb_string_descriptor_struct usb_string_product_name = {
        2 + MIDI_NAME_LEN * 2,
        3,
        MIDI_NAME
};

struct usb_string_descriptor_struct usb_string_manufacturer_name = {
        2 + MANUFACTURER_NAME_LEN * 2,
        3,
        MANUFACTURER_NAME
};

struct usb_string_descriptor_struct usb_string_serial_number = {
        2 + SERIAL_NUM_LEN * 2,
        3,
        SERIAL_NUM
};

/*
// This part only works with modified usb_names.h in the firmware
struct usb_string_descriptor_struct usb_string_midi_port1 = {
        2 + 7 * 2,
        3,
        {'C','l','o','c','k',' ','1'}
};


struct usb_string_descriptor_struct usb_string_midi_port2 = {
        2 + 7 * 2,
        3,
        {'C','l','o','c','k',' ','2'}
};

struct usb_string_descriptor_struct usb_string_midi_port3 = {
        2 + 7 * 2,
        3,
        {'C','l','o','c','k',' ','3'}
};

struct usb_string_descriptor_struct usb_string_midi_port4 = {
        2 + 7 * 2,
        3,
        {'C','l','o','c','k',' ','4'}
};
*/